<?php

define('DEFAULT_METHOD', 'POST');
define('DEFAULT_COLS', 20);
define('DEFAULT_ROW', 4);

class htmlForm  
{
	var $processor;
	var $data;
	var $method;
	var $fields 		= array();
	var $select 		= array();
	var $arr_form		= array('processor', 'method', 'data');
	var $arr_input		= array('type', 'name', 'value', 'komm', 'checked');
	var $arr_textarea 	= array('name', 'value', 'komm', 'cols', 'row');
	
	function htmlForm()
	{  
		for( $i = 0; $i < func_num_args(); ++$i )
		{
			if($i > 2) { break; }
			${$this->arr_form[$i]} = func_get_arg($i);
		}
		$this->processor = ( $processor ) ? $processor : htmlspecialchars($_SERVER['REQUEST_URI']);
		$this->method = ( $method ) ? $method : DEFAULT_METHOD;
		$this->data = ( $data ) ? 'enctype="multipart/form-data"' : '';
	} 
	
	function displayForm()  
	{  
		echo '<form action="'. $this->processor .'" method="'. $this->method .'" '. $this->data .'>';  
		foreach ( $this->fields as $rezult )
		{
			echo $rezult;
		}
		echo '</form>';
	}
	
	function addInput() //  type, name, value, komm
	{
		for( $i = 0; $i < func_num_args(); ++$i )
		{
			if($i > 3) { break; }
			${$this->arr_input[$i]} = func_get_arg($i);
		}
		$this->fields[] = (( $komm ) ? $komm .':<br/>' : '') .'<input type="'. $type .'" name="'. $name .'" value="'. $value .'" />'. ($type != "hidden" ? '<br/>' : '');
	} 	

	function addCheckbox()  //  type, name, value, komm, checked
	{
		for( $i = 0; $i < func_num_args(); ++$i )
		{
			if($i > 4) { break; }
			${$this->arr_input[$i]} = func_get_arg($i);
		}	
		$this->fields[] = '<input type="'. $type .'" name="'. $name .'" value="'. $value .'" '. (( $checked ) ? 'checked="checked"' : '') .'/> '. $komm  .'<br/>';
	}
	
	function addTextarea() // name, value, komm, cols, row
	{
		for( $i = 0; $i < func_num_args(); ++$i )
		{
			if($i > 4) { break; }
			${$this->arr_textarea[$i]} = func_get_arg($i);
		}	
		$this->fields[] = (( $komm ) ? $komm .':<br/>' : '') .'<textarea cols="'. ($cols ? $cols : DEFAULT_COLS) .'" rows="'. ($row ? $row : DEFAULT_ROW) .'" name="'. $name .'">'. $value .'</textarea><br/>';
	}
	
	function addSelect($name, $num, $komm)
	{
		$this->fields[] = (( $komm ) ? $komm .':<br/>' : '') .'<select name="'. $name .'">';
		foreach( $this->select[$num] as $selected )
		{
			$this->fields[] = $selected;
		}
		$this->fields[] = '</select><br/>';
	}

	function addSelectOption($name, $value, $num, $selected)
	{
		$this->select[$num][] = '<option value="'. $value .'" '. (( $selected ) ? 'selected="selected"' : '') .'>'. $name .'</option>';
	}
	
	function addText($text)
	{
		$this->fields[] = $text;
	}
	
} 

?>